CVC4::Chain Class Reference

A class to represent a chained, built-in operator. More...

`#include <chain.h>`

## Public Member Functions

| Chain (Kind k)
bool | operator== (const Chain &ch) const
bool | operator!= (const Chain &ch) const
Kind | getOperator () const

## Detailed Description

A class to represent a chained, built-in operator.

Definition at line 29 of file chain.h.

## Constructor & Destructor Documentation

## Chain()

CVC4::Chain::Chain | ( | Kind | k | ) |

inlineexplicit

Definition at line 32 of file chain.h.

## Member Function Documentation

## getOperator()

Kind CVC4::Chain::getOperator | ( |  | ) | const

inline

Definition at line 35 of file chain.h.

Referenced by CVC4::ChainHashFunction::operator()(), and CVC4::operator<<().

## operator!=()

bool CVC4::Chain::operator!= | ( | const Chain & | ch | ) | const

inline

Definition at line 34 of file chain.h.

## operator==()

bool CVC4::Chain::operator== | ( | const Chain & | ch | ) | const

inline

Definition at line 33 of file chain.h.

The documentation for this class was generated from the following file:

- src/util/chain.h